## org.eclipse.m2m.atl.engine.vm.nativelib
Class ASMBag

    java.lang.Object
      org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
          org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
              org.eclipse.m2m.atl.engine.vm.nativelib.ASMCollection
                  org.eclipse.m2m.atl.engine.vm.nativelib.ASMBag

    public class ASMBag

extends ASMCollection

Field Summary
`static ASMOclType` `myType`

Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
`nativeImpl`

Constructor Summary
`ASMBag()`
`ASMBag(ASMBag init)`
`ASMBag(java.util.Collection init)`

Method Summary
`void` `add(ASMOclAny o)`
`static ASMBag` `asBag(StackFrame frame, ASMBag self)`
`java.util.Collection` `collection()`
`boolean` `equals(java.lang.Object o)`
`static ASMBag` `excluding(StackFrame frame, ASMBag self, ASMOclAny o)`
`static ASMBag` `flatten(StackFrame frame, ASMBag self)`
`int` `hashCode()`
`static ASMBag` `including(StackFrame frame, ASMBag self, ASMOclAny o)`
`java.util.Iterator` `iterator()`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMCollection
`asBag, asOrderedSet, asSequence, asSet, count, excludes, excludesAll, get, includes, includesAll, isEmpty, notEmpty, size, size, sum`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
`asBag, asSequence, asSet, check, debug, findOperation, findOperation, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
`getNativeImpl`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### myType

    public static ASMOclType myType

Constructor Detail

### ASMBag

    public ASMBag()

### ASMBag

    public ASMBag(ASMBag init)

### ASMBag

    public ASMBag(java.util.Collection init)

Method Detail

### including

    public static ASMBag including(StackFrame frame,
                                   ASMBag self,
                                   ASMOclAny o)

### excluding

    public static ASMBag excluding(StackFrame frame,
                                   ASMBag self,
                                   ASMOclAny o)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### add

    public void add(ASMOclAny o)

  Specified by:
    `add` in class `ASMCollection`

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in class `ASMCollection`

### collection

    public java.util.Collection collection()

  Specified by:
    `collection` in class `ASMCollection`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### asBag

    public static ASMBag asBag(StackFrame frame,
                               ASMBag self)

### flatten

    public static ASMBag flatten(StackFrame frame,
                                 ASMBag self)

Copyright 2007 IBM Corporation and others. All Rights Reserved.